<?php

function studicomy_get_major_version() {
    $tok = strtok(\Drupal::VERSION, '.');
    return (int)$tok[0];
}

function studicomy_get_theme_url() {
    return studicomy_get_base_url_with_slash() . drupal_get_path('theme', 'studicomy');
}

function studicomy_get_base_url_with_slash() {
    $base_url = $GLOBALS["base_url"];
    return $base_url . (substr($base_url, -1) !== '/' ? '/' : '');
}

function studicomy_get_style_url($theme_url) {
    return $theme_url . '/css';
}

function studicomy_get_script_url($theme_url) {
    return $theme_url . '/js';
}

function studicomy_art_vmenu_output($subject, $content) {
    if (empty($content))
        return;

    $result = '';
    $vmenu = studicomy_art_process_menu_class($content, 'stud-vmenu');
    
    return $result;
}

function studicomy_art_process_menu_class($menu, $menu_class) {
    $result = $menu;
    $matches = array();
    $pattern = '~<ul(.*?class=[\'"])(.*?)([\'"])~';
    if (preg_match($pattern, $menu, $matches)) { // Has attribute 'class'
        $class_attr = $matches[2];
        $pattern = '/^menu$|^menu\s|\smenu\s|\smenu$/';
        $new_class_attr = preg_replace($pattern, ' '.$menu_class.' ', $class_attr);
        $str_pos = strpos($menu, $class_attr);
        $result = substr_replace($menu, $new_class_attr, $str_pos, strlen($class_attr));
    } else {
        $start = '<ul';
        $str_pos = strpos($menu, $start);
        if ($str_pos !== FALSE) { // Attribute 'class' doesn't exist
            $new_str = $start." class='$menu_class'";
            $result = substr_replace($menu, $new_str, $str_pos, strlen($start));
        }
    }

    return $result;
}
function studicomy_art_content_replace($content) {
  $first_time_str = '<div id="first-time"';
  $article_str = ' class="stud-article"';
  $pos = strpos($content, $first_time_str);
  if($pos !== FALSE)
  {
    $output = str_replace($first_time_str, $first_time_str . $article_str, $content);
    $output = <<< EOT
    <div class="stud-box stud-post">
      <div class="stud-box-body stud-post-body">
  <article class="stud-post-inner stud-article">
   <div class="stud-postcontent">
      $output
    </div>
  <div class="cleared"></div>
    </article>
  <div class="cleared"></div>
  </div>
  </div>
EOT;
  }
  else 
  {
    $output = $content;
  }
  return $output;
}